# Arg2P

<div style="background-color: red; border-radius: 5px;">
    <h3 style="padding: 10px">Attention! This page is now discontinued. The project has been moved to <a href="https://gitlab.com/pika-lab/argumentation/arg2p-kt">a new location</a>.</h3>
</div>

Quick links:

- [GitLab Repository](https://gitlab.com/pika-lab/argumentation/arg2p-kt)
- [GitHub Repository](https://github.com/tuProlog/arg2p)

Arg2Prolog is an argumentation framework built on the top of [tuProlog (2P) engine](http://pika-lab.gitlab.io/tuprolog/2p-in-kotlin/). 
Arg2P is a lightweight implementation of the ASPIC<sup>+</sup>-like system for structured  argumentation. 
In a nutshell, arguments are produced from a set of defeasible rules, and attack relationships between arguments are captured by argumentation graphs. The arguments of such graphs are labelled by following a labelling semantics. This simple framework will suffice to illustrate our upcoming investigation into persuasive burdens within an argumentation setting. 

In addition, we use defeasible rule schemata to account for deontic reasoning, towards doctrine reification, as presented in _Riveret et al., 2019_.
The model has also been extended following the burden of proof model presented in _Calegari and Sartor, 2020_.

More information about the project can be found on the [official wiki](https://pika-lab.gitlab.io/argumentation/arg2p/).

The executables for all the main operating systems (windows, linux, macOs) are available in the [release page](https://gitlab.com/pika-lab/argumentation/arg2p/-/releases).
